Skip to main content
DELETE
/
credit_notes
/
{lago_id}
/
metadata
/
{key}
Delete a metadata key
curl --request DELETE \
  --url https://api.getlago.com/api/v1/credit_notes/{lago_id}/metadata/{key} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.getlago.com/api/v1/credit_notes/{lago_id}/metadata/{key}"

headers = {"Authorization": "Bearer <token>"}

response = requests.delete(url, headers=headers)

print(response.text)
const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.getlago.com/api/v1/credit_notes/{lago_id}/metadata/{key}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "metadata": {
    "external_id": "ext-123",
    "synced_at": "2024-01-15",
    "source": null
  }
}
{
  "status": 401,
  "error": "Unauthorized"
}
{
  "status": 404,
  "error": "Not Found",
  "code": "object_not_found"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

lago_id
string<uuid>
required

The credit note unique identifier, created by Lago.

Example:

"1a901a90-1a90-1a90-1a90-1a901a901a90"

key
string
required

The metadata key to delete.

Example:

"external_id"

Response

Metadata key deleted

metadata
object | null
required

Custom metadata stored as key-value pairs. Keys are strings (max 100 characters), values can be strings (max 255 characters) or null.

Example:
{
  "external_id": "ext-123",
  "synced_at": "2024-01-15",
  "source": null
}